org.h2.jmx

## Class DocumentedMBean

- java.lang.Object
- - javax.management.StandardMBean
  - - org.h2.jmx.DocumentedMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration

    public class DocumentedMBean
    extends javax.management.StandardMBean

An MBean that reads the documentation from a resource file.

### Constructor Summary

Constructors
Constructor and Description
`DocumentedMBean(T impl, java.lang.Class<T> mbeanInterface)`

### Method Summary

Methods
`protected java.lang.String` `getDescription(javax.management.MBeanAttributeInfo info)`
`protected java.lang.String` `getDescription(javax.management.MBeanInfo info)`
`protected java.lang.String` `getDescription(javax.management.MBeanOperationInfo op)`
`protected int` `getImpact(javax.management.MBeanOperationInfo info)`

### Methods inherited from class javax.management.StandardMBean

`cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getImplementation, getImplementationClass, getMBeanInfo, getMBeanInterface, getParameterName, getParameterName, invoke, postDeregister, postRegister, preDeregister, preRegister, setAttribute, setAttributes, setImplementation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DocumentedMBean

    public DocumentedMBean(T impl,
                   java.lang.Class<T> mbeanInterface)
                    throws javax.management.NotCompliantMBeanException

Throws:
  `javax.management.NotCompliantMBeanException`

### Method Detail

#### getDescription

    protected java.lang.String getDescription(javax.management.MBeanInfo info)

Overrides:
  `getDescription` in class `javax.management.StandardMBean`

#### getDescription

    protected java.lang.String getDescription(javax.management.MBeanOperationInfo op)

Overrides:
  `getDescription` in class `javax.management.StandardMBean`

#### getDescription

    protected java.lang.String getDescription(javax.management.MBeanAttributeInfo info)

Overrides:
  `getDescription` in class `javax.management.StandardMBean`

#### getImpact

    protected int getImpact(javax.management.MBeanOperationInfo info)

Overrides:
  `getImpact` in class `javax.management.StandardMBean`